Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005859OCamlOCaml backend (code generation)public2012-12-19 11:432014-08-28 23:17
Reporterchambart 
Assigned Togasche 
PrioritylowSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005859: [patch] add -nocmx command line option to ignore cmx files
DescriptionIgnoring cmx files allows to remove dependencies between .ml files when the interface does not change. It helps quickly rebuilding a project after a few change have been made in a file deep in the dependency tree.
Additional InformationFeature requested by Gasche.
Tagspatch
Attached Filespatch file icon 0001-Add-nocmx-compile-option-to-ignore-cmx-files.patch [^] (5,087 bytes) 2012-12-19 11:43 [Show Content]

- Relationships
related to 0006389resolvedgasche [github patch] add an -opaque option to produce optimization-empty .cmx file for separate native compilation 

-  Notes
(0008629)
frisch (developer)
2012-12-19 12:01

This does not work well with -pack/-for-pack (the "-for-pack" name for an external unit is found in its .cmx file and is required). This is not necessarily a big deal, but this should be properly documented.
(0012057)
gasche (developer)
2014-08-28 23:17

This is superseded by the better -opaque approach (also coming from a patch from Pierre Chambart), which has been merged in 4.02.

- Issue History
Date Modified Username Field Change
2012-12-19 11:43 chambart New Issue
2012-12-19 11:43 chambart File Added: 0001-Add-nocmx-compile-option-to-ignore-cmx-files.patch
2012-12-19 12:01 frisch Note Added: 0008629
2013-06-28 18:10 doligez Status new => confirmed
2013-12-16 13:45 doligez Tag Attached: patch
2014-08-28 23:16 gasche Relationship added related to 0006389
2014-08-28 23:17 gasche Note Added: 0012057
2014-08-28 23:17 gasche Status confirmed => resolved
2014-08-28 23:17 gasche Resolution open => fixed
2014-08-28 23:17 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker